// Objektorientierte Programmierung - Hausaufgabe 5
// Name:

import java.util.Scanner;

class Mondlandung {
	public static void main(String[] args) {
		int zeit = 0;
		double entfernung = 4000;
		double geschwindigkeit = 0;
		int tank = 500;
		final double mondbeschleunigung = 1.62;
		int schub;
		final int dauer = 1; // Dauer eines Zuges in s
		Scanner scan = new Scanner(System.in);

		// Kopfzeile der Tabelle:
		System.out.format("%4s | %10s | %10s | %4s | %10s\n",
			"Zeit", "Entfernung", "Geschwind.",
			"Tank", "Bremsschub");

		// Schleife solange nicht gelandet:
		while(entfernung > 0) {
			// Maximal moeglichen Schub berechnen:
			int max = 10;
			if(tank < 10)
				max = tank;

			// Daten formatiert ausgeben:
			System.out.format(
				"%3ds | %9.1fm | %7.1fm/s | %4d | [0..%d]> ",
				zeit, entfernung, geschwindigkeit,
				tank, max);

			// Eingabe Bremsschub (leere Eingabe = 0):
			String eingabe = scan.nextLine();
			if(eingabe.equals(""))
				schub = 0;
			else {
				schub = Integer.parseInt(eingabe);
				if(schub < 0)
					schub = 0;
				if(schub > max)
					schub = max;
			}

			// Neue Daten berechnen:
			double beschleunigung = mondbeschleunigung
						- schub * 0.4;
			entfernung = entfernung
					- geschwindigkeit * dauer
					- 0.5 * beschleunigung *
						dauer * dauer;
			geschwindigkeit = geschwindigkeit +
					beschleunigung * dauer;
			zeit = zeit + dauer;
			tank = tank - schub;
		}

		// Gelandet:
		System.out.format("\nLandegeschwindigkeit: %7.1f m/s\n",
					geschwindigkeit);

		// Bewertung:

		// Graphik des Landeverlaufs ausgeben:
	}
}
